%define appdir	%{_datadir}/%{name}
%define section	free

Name:		joscar
Version:	0.9.3
Release:	2jpp
Epoch:		0
Summary:	Extensible open-source Java interface into AIM's OSCAR protocol
License:	BSD
URL:		http://joust.kano.net/joscar/
Group:		Networking/Instant messaging
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://osdn.dl.sourceforge.net/sourceforge/joustim/joscar-0.9.3-src.tar.bz2
Source1:	%{name}-script
#Requires:	bouncycastle-jdk1.4
#Requires:	bouncycastle-provider
Requires:	jpackage-utils >= 0:1.5
BuildRequires:	ant
#BuildRequires:	ant-optional
#BuildRequires:	bouncycastle-jdk1.4
#BuildRequires:	bouncycastle-provider
BuildRequires:	jpackage-utils >= 0:1.5
#BuildRequires:	junit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
joscar is an extensible open-source Java interface into AOL Instant
Messenger's OSCAR protocol. joscar provides an implementation of over
100 SNAC commands, nine different rendezvous types (including file
transfer, direct IM, and buddy icons), and dozens of related data
structures.

joscar is a fairly low-level library and does not provide, nor does it
intend to provide, an easy or simple interface to AOL Instant Messenger
comparable to jaimlib. Instead, joscar gives the developer the
opportunity to implement very complex behavior and features of the OSCAR
protocol, such as rendezvouses (file transfer, etc.) and SNAC request ID
management.

In addition to data structures and commands, joscar provides a set of
utility classes to ease using OSCAR from either the client side or the
server side, as well as a highly extensible framework of command
factories, automated packet stream processors, and much more.

joscar is currently in a testing and documentation phase. In its present
form, joscar is most likely not ready to be used by someone unfamiliar
with the OSCAR protocol. While the library is thoroughly documented, a
more general overview and tutorial will most likely be necessary for
most developers unfamiliar with OSCAR to truly understand joscar and use
it to its full potential. A tutorial is being developed and will be
available soon. 

%package	demo
Summary:	Demo for %{name}
Group:		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description demo
Demo for %{name}.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q
rm -rf bin
rm -rf docs/api

%build
#export CLASSPATH=$(build-classpath bouncycastle/bcmail bouncycastle/bcprov)
ant -Dbuild.compiler=modern jar javadoc demo

%install
rm -rf $RPM_BUILD_ROOT

pushd demo/bin
%jar cvvf ../../%{name}-%{version}-demo.jar `find . -name "*.class"`
popd

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}-bin.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 %{name}-%{version}-demo.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-demo-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{appdir}

# script
install -p -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}-demo

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc BUILDING CHANGELOG LICENSE README RELNOTES UPDATING USING docs/howto
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%dir %{appdir}

%files demo
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/%{name}-demo
%{_javadir}/%{name}-demo.jar
%{_javadir}/%{name}-demo-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sun Oct 05 2003 David Walluck <david@anti-microsoft.org> 0:0.9.3-2jpp
- don't depend on bouncycastle
- add demo subpackage

* Fri Oct 03 2003 David Walluck <david@anti-microsoft.org> 0:0.9.3-1jpp
- release
